#ifndef _CELLATTRCACHE_H_INCLUDED_
#define _CELLATTRCACHE_H_INCLUDED_

class wxGridCellAttr;


enum CellTypeUsed
{
//	ctSingleHeader,
//	ctDoubleHeader,
	ctIcon,
	ctIconLight,
	ctIconDark,
	ctNormal,
	ctPairLight,
	ctPairDark,
	ctMaxCellTypesUsed
};

class CellAttrCache
{
public:
	CellAttrCache();
	~CellAttrCache();
	wxGridCellAttr* Get(CellTypeUsed cellType);
	wxColour GetColourBack(int nIndex) const
	{
		return m_colourBack[nIndex];
	}
private:
	wxGridCellAttr* m_pAttr[ctMaxCellTypesUsed];
	wxColour m_colourBack[3];
};




#endif // _CELLATTRCACHE_H_INCLUDED_
