#ifndef _CONFIGDLG_H_INCLUDED_
#define _CONFIGDLG_H_INCLUDED_

#include "Config.h"
class BaseNomad;

class ConfigDlg : public wxDialog
{
public:
	ConfigDlg(wxWindow *parent, Config* pConfig, const BaseNomad* pNomad);
private:
	DECLARE_EVENT_TABLE()
	void OnButton(wxCommandEvent& event);
	wxPanel* MakeDirPanel();
	wxPanel* MakeMiscPanel();
	wxButton* m_pbtnOK;
	wxTextCtrl* m_pDir[c_nMaxDirs];
	wxButton* m_pbtnDirDialog[c_nMaxDirs];
	Config* m_pConfig;
	const BaseNomad* m_pNomad;
	wxNotebook* m_pNotebook;
	wxComboBox* m_pDefAction[c_nActionGroups];
	wxComboBox* m_pDownloadPlaylist;
	wxCheckBox* m_pChkEnableLog;
	wxCheckBox* m_pChkCompareExtra[c_nMaxCompareExtra];
	wxTextCtrl* m_pMP3Command;
	int m_nDirsUsed;
};


#endif // _CONFIGDLG_H_INCLUDED_
