#ifndef _COMMONFUNC_H_INCLUDED_
#define _COMMONFUNC_H_INCLUDED_

// to do: move these??
// these constants show which field goes in which column 
const int c_nActionCol = 0;
const int c_nIconCol = 1;
const int c_nTitleCol = 2;
const int c_nArtistCol = 3;
const int c_nAlbumCol = 4;
const int c_nGenreCol = 5;
const int c_nLengthCol = 6;
const int c_nFileSizeCol = 7;
const int c_nTrackNumCol = 8;
const int c_nYearCol = 9;
const int c_nFileSpecCol = 10;
const int c_nLastCol = 10;

int length_from_file(const char *path, size_t size);


wxString StripDangerous(const wxString& strValue);
double WeighedEditDistance(const wxString& strA, const wxString& strB);

class wxIconButton : public wxBitmapButton
{
public:
	wxIconButton(wxWindow *parent, wxWindowID id, 
		const wxIcon& icon, wxFont& font,
		const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize,
		long style = wxBU_AUTODRAW, const wxValidator& validator = wxDefaultValidator,
		const wxString& name = wxButtonNameStr);
};


#endif // _COMMONFUNC_H_INCLUDED_
